Source: dep-logic
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 eevelweezel <eevel.weezel@gmail.com>,
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 pybuild-plugin-pyproject,
 python3-all,
 python3-packaging,
 python3-pdm-backend,
 python3-pytest <!nocheck>,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/dep-logic
Vcs-Git: https://salsa.debian.org/python-team/packages/dep-logic.git
Homepage: https://github.com/pdm-project/dep-logic
Rules-Requires-Root: no

Package: python3-dep-logic
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python dependency specifications supporting logical operations
 This library requires Python 3.8 or later.
 Currently, it contains two sub-modules:
   dep_logic.specifier - a module for parsing and calculating PEP 440
    version specifiers.
   dep_logic.markers - a module for parsing and calculating PEP 508
    environment markers.
